import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class KnapsackTest {
    @Test
    public void testKnapsack() {
        int actual = Knapsack.solve(new int[]{0, 1, 2}, new int[]{0, 1, 2}, 10);
        int expected = 3;
        assertEquals(expected, actual);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testValuesIsNull() {
        Knapsack.solve(new int[]{0}, null, 0);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testWeightsIsNull() {
        Knapsack.solve(new int[]{0}, null, 0);
    }

    @Test(expected = IllegalArgumentException.class)
    public void testArraysHaveDifferentLengths() {
        Knapsack.solve(new int[]{0}, new int[]{0, 0}, 0);
    }
}